import axios from 'axios';

type Wallet = {secret: string, address:string }

export const makeTestnetWallet = async () : Promise<Wallet> => {
    try{
        const response = await axios.post('https://faucet.altnet.rippletest.net/accounts', {})
        return ({
            secret: response.data.seed,
            address: response.data.account.address
        })
    
    }catch(e){
        console.log(e)
    }
}